## org.eclipse.datatools.modelbase.sql.constraints
Interface IndexMember

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  IndexMemberImpl

public interface IndexMember
extends SQLObject

A representation of the model object 'Index Member'. IndexMember is an EObject. It does not have a name or associated SQL descriptor so it is not an SQLObject. This is the way we have chosen to model Index columns because EMF does not support association classes.

The following features are supported:

- `Increment Type`
- `Column`

See Also:
  `SQLConstraintsPackage.getIndexMember()`

Method Summary
`Column` `getColumn()` Returns the value of the 'Column' reference.
`IncrementType` `getIncrementType()` Returns the value of the 'Increment Type' attribute.
`void` `setColumn(Column value)` Sets the value of the '`Column`' reference.
`void` `setIncrementType(IncrementType value)` Sets the value of the '`Increment Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getIncrementType

    public IncrementType getIncrementType()

  Returns the value of the 'Increment Type' attribute. The literals are from the enumeration `IncrementType`.

  If the meaning of the 'Increment Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Increment Type' attribute.
  See Also:
    `IncrementType`, `setIncrementType(IncrementType)`, `SQLConstraintsPackage.getIndexMember_IncrementType()`

### setIncrementType

    public void setIncrementType(IncrementType value)

  Sets the value of the '`Increment Type`' attribute.

  Parameters:
    `value` - the new value of the 'Increment Type' attribute.
  See Also:
    `IncrementType`, `getIncrementType()`

### getColumn

    public Column getColumn()

  Returns the value of the 'Column' reference.

  If the meaning of the 'Column' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column' reference.
  See Also:
    `setColumn(Column)`, `SQLConstraintsPackage.getIndexMember_Column()`

### setColumn

    public void setColumn(Column value)

  Sets the value of the '`Column`' reference.

  Parameters:
    `value` - the new value of the 'Column' reference.
  See Also:
    `getColumn()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.